API reference
Taps
Human-in-the-loop requests: taps, their events and responses, routing rules, escalation policies and agent lineage.
- Operations
- 22
- Base path
https://os.one.ml/api/v1/taps- Scopes
taps:readtaps:write- API keys
- 3 untested · 19 tested with an API key
- SDK
- Not in the SDK
- CLI
- Not in the CLI
- MCP
- Not in the MCP server
Operations
| Operation | Endpoint | API key |
|---|---|---|
| Create an agent lineage challenge (human only) | POST/agent-lineage/challenges | — |
| List agent lineage requests | GET/agent-lineage/requests | Tested with an API key |
| Submit a signed agent lineage request (human only) | POST/agent-lineage/requests | — |
| Get an agent lineage request | GET/agent-lineage/requests/{id} | Tested with an API key |
| List escalation policies | GET/escalation-policies | Tested with an API key |
| Create an escalation policy | POST/escalation-policies | Tested with an API key |
| Delete an escalation policy | DELETE/escalation-policies/{id} | Tested with an API key |
| Rename, enable or disable an escalation policy | PATCH/escalation-policies/{id} | Tested with an API key |
| Get the Garden integration status | GET/integrations/garden | Tested with an API key |
| Enable the Garden integration | POST/integrations/garden/enable | Tested with an API key |
| List routing rules | GET/routing-rules | Tested with an API key |
| Create a routing rule | POST/routing-rules | Tested with an API key |
| Delete a routing rule | DELETE/routing-rules/{id} | Tested with an API key |
| Enable or disable a routing rule | PATCH/routing-rules/{id} | Tested with an API key |
| Get your tenant's Taps settings | GET/settings | Tested with an API key |
| Change Taps settings | PATCH/settings | Tested with an API key |
| List taps | GET/taps | Tested with an API key |
| Ask a human for a decision (create a tap) | POST/taps | Tested with an API key |
| Get a tap | GET/taps/{id} | Tested with an API key |
| Cancel a tap | DELETE/taps/{id} | Tested with an API key |
| List a tap's audit events | GET/taps/{id}/events | Tested with an API key |
| Respond to a tap (human only) | POST/taps/{id}/respond | — |
Agent lineage
Create an agent lineage challenge (human only)
POST/v1/taps/agent-lineage/challenges
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/agent-lineage/challenges" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonList agent lineage requests
GET/v1/taps/agent-lineage/requests
Parameters
statusquery · stringlimitquery · stringoffsetquery · string
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/agent-lineage/requests" \
-H "Authorization: Bearer $GENESIS_API_KEY"Submit a signed agent lineage request (human only)
POST/v1/taps/agent-lineage/requests
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/agent-lineage/requests" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonGet an agent lineage request
GET/v1/taps/agent-lineage/requests/{id}
curl "https://os.one.ml/api/v1/taps/agent-lineage/requests/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY"Escalation policies
List escalation policies
GET/v1/taps/escalation-policies
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/escalation-policies" \
-H "Authorization: Bearer $GENESIS_API_KEY"Create an escalation policy
POST/v1/taps/escalation-policies
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/escalation-policies" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonDelete an escalation policy
DELETE/v1/taps/escalation-policies/{id}
curl -X DELETE "https://os.one.ml/api/v1/taps/escalation-policies/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY"Rename, enable or disable an escalation policy
PATCH/v1/taps/escalation-policies/{id}
Parameters
idpath · stringrequired
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X PATCH "https://os.one.ml/api/v1/taps/escalation-policies/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonIntegrations
Get the Garden integration status
GET/v1/taps/integrations/garden
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/integrations/garden" \
-H "Authorization: Bearer $GENESIS_API_KEY"Enable the Garden integration
POST/v1/taps/integrations/garden/enable
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/integrations/garden/enable" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonRouting rules
List routing rules
GET/v1/taps/routing-rules
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/routing-rules" \
-H "Authorization: Bearer $GENESIS_API_KEY"Create a routing rule
POST/v1/taps/routing-rules
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/routing-rules" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonDelete a routing rule
DELETE/v1/taps/routing-rules/{id}
curl -X DELETE "https://os.one.ml/api/v1/taps/routing-rules/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY"Enable or disable a routing rule
PATCH/v1/taps/routing-rules/{id}
Parameters
idpath · stringrequired
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X PATCH "https://os.one.ml/api/v1/taps/routing-rules/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonSettings
Get your tenant's Taps settings
GET/v1/taps/settings
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/settings" \
-H "Authorization: Bearer $GENESIS_API_KEY"Change Taps settings
PATCH/v1/taps/settings
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X PATCH "https://os.one.ml/api/v1/taps/settings" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonTaps
List taps
GET/v1/taps/taps
Parameters
statusquery · stringassignee_idquery · stringlimitquery · stringoffsetquery · string
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl "https://os.one.ml/api/v1/taps/taps" \
-H "Authorization: Bearer $GENESIS_API_KEY"Ask a human for a decision (create a tap)
POST/v1/taps/taps
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/taps" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonGet a tap
GET/v1/taps/taps/{id}
curl "https://os.one.ml/api/v1/taps/taps/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY"Cancel a tap
DELETE/v1/taps/taps/{id}
curl -X DELETE "https://os.one.ml/api/v1/taps/taps/$ID" \
-H "Authorization: Bearer $GENESIS_API_KEY"Events
List a tap's audit events
GET/v1/taps/taps/{id}/events
curl "https://os.one.ml/api/v1/taps/taps/$ID/events" \
-H "Authorization: Bearer $GENESIS_API_KEY"Respond
Respond to a tap (human only)
POST/v1/taps/taps/{id}/respond
Parameters
idpath · stringrequired
Request body application/json
A JSON object. Its fields are not in the published OpenAPI document.
Responses
- 200Success
- 4xx 5xxThe error envelope.
curl -X POST "https://os.one.ml/api/v1/taps/taps/$ID/respond" \
-H "Authorization: Bearer $GENESIS_API_KEY" \
-H "Content-Type: application/json" \
-d @body.jsonOne Superintelligence, Inc. · Built from Genesis 0.1.13 and the live gateway on 2026-10-20. Support